#include "triangles.h"
#include "bits/stdc++.h"
using namespace std;
std::vector<std::vector<int>> solve(int n) {
    vector<Triangle> big = {{0, 1, 2}};
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            for (int k = 0; k < n; ++k) {
                if (i == j || i == k || j == k) continue;
                vector<Triangle> cur = {{i, j, k}};
                if (compare(big, cur) == -1) {
                    big = cur;
                }
            }
        }
    }
    vector<vector<int>> res;
    for (auto x:big) {
        vector<int> add = {x.i, x.j, x.k};
        res.push_back(add);
    }
    return res;
}